\documentclass[a4paper,10pt]{article}
\usepackage{latexsym}
\usepackage{amsmath}
\usepackage{amssymb}
\usepackage{bm}
\usepackage{graphicx}
\usepackage{wrapfig}
\usepackage{fancybox}
\pagestyle{plain}

\begin{document}

AnalysisofAQMqueueswithqueuesizebasedpacketdropping
\begin{center}
\includegraphics[width=180.00mm,height=9.54mm]{./Analysis_of_AQM_queues_with_queue_size_based_packet_dropping_images/image001.eps}
\end{center}
571

we have $c_{n+i}$ in every factor of (20), with $i$ depending on $k$. Therefore, the number of distinct roots and their mul- tiplicities depend on $n, k$ and their position with relation to $b_{0}$ and $b$. All we have to do is consider all possibilities. Having done this, we obtain

$D_{n,k}(s)$

$= \displaystyle \ovalbox{\tt\small REJECT}_{i=n_{\mathrm{i}\mathrm{f}}}n+k^{\mathrm{i}\mathrm{f}b_{0}-n\leq k\leq b-n,n<b_{0}}b_{0-n_{k\leq b_{0}-n}}^{\mathrm{i}\mathrm{f}k>b-n,n\geq b_{0}'}+1_{i=b_{0}+1}^{n+k}\prod_{\mathrm{i}\mathrm{f}}^{k>b-n,n<b_{0}}s+c)k-b+n+1^{b-1}\prod_{i=n}^{\mathrm{i}\mathrm{f}}(s+c_{i})(s+c_{i})_{b_{0}-}0(s+c_{i})',$ (30) All roots that occur in this representation are different. For instance, in the first line we have the following different roots:
$$
-c_{0},\ -c_{b},\ -c_{b_{0}+1},\text{ . . . , }-c_{b-1},
$$
(31)

with the multiplicities
\begin{center}
$b_{0}-n+1, k-b+n+1$, 1, . . . , 1,   (32)
\end{center}
respectively.

Instead of implementing the formulas (21) $-(26)$ , we can also use software for symbolic computations that has a built-in function to compute the inversion of(8) automa- tically $(\mathrm{e}.\mathrm{g}.$, {\it Mathematica}, 2011 .

$\bullet$

4. Queue size distribution at an arbitrary time

In this section we will find the queue size distribution at an arbitrary time, namely:
\begin{center}
$P_{k}=\displaystyle \lim_{t\rightarrow\infty}\mathrm{P}(X(t)=k)\ ,\ 0\leq k\leq b$,   (33)
\end{center}
where $X(t)$ denotes the queue size at the time $t.$

Denoting by
\begin{center}
$\rho=\lambda m_{F}$,   (34)
\end{center}
the offered load of the system, here

$m_{F}=$ the average service time $=\displaystyle \int_{0}^{\infty}x\mathrm{d}F(x)$ , (35) we can prove the following theorem.

Theorem 2. {\it In the MlGlllb}({\it AQM}) {\it system the queue length distribution at an arbitrary time has the form}
\begin{center}
$P_{k}=\displaystyle \frac{\pi_{k}/(1-d_{k})}{\pi_{0}/(1-d_{0})+\rho}, 0\leq k\leq b-1$,   (36)

$P_{b}=1-\displaystyle \frac{\sum_{i=0}^{b-1}\pi_{i}/(1-d_{i})}{\pi_{0}/(1-d_{0})+\rho}$.   (37)
\end{center}
Note that the distribution $\pi_{k}$ was computed in the previous section. Therefore, the formulas (36), (37) can be used immediately to obtain numerical results.

{\it Proof}. Let $X_{n}'$ denote the queue size observed upon ar- rival of the n-th arrivingjob (accepted or not) and let $P_{k}'$ denote its limiting distribution, namely,
\begin{center}
$P_{k}'=\displaystyle \lim_{n\rightarrow\infty}\mathrm{P}(X_{n}'=k)\ ,\ 0\leq k\leq b$.   (38)
\end{center}
According to the PASTA property (Heyman and Sobel, 1982, p. 391 , we know that
\begin{center}
$P_{k}=P_{k}',\ 0\leq k\leq b$.   (39)
\end{center}
Therefore, our task is reduced to computing $P_{k}'$ for $0 \leq k\leq b.$

Let $\mathrm{X}_{n}$ denote the queue size observed upon arrival of the n-th acceptedjob and let $\hat{\pi}_{k}$ denote its limiting di- stribution:
\begin{center}
$\displaystyle \hat{\pi}_{k}=\lim_{n\rightarrow\infty}\mathrm{P}(\mathrm{X}_{n}=k)$ , $0\leq k\leq b-1$.   (40)
\end{center}
(Note that we always have $\mathrm{X}_{n}<b.$) According to Burke's theorem (Takagi, 1991, p. 7 , we have
\begin{center}
$\hat{\pi}_{k}=\pi_{k},\ 0\leq k\leq b-1$.   (41)
\end{center}
Now, let $P_{k}^{*}$ denote the limiting distribution of the queue size observed upon arrival of the n-th arrivingjob (accepted or not), excluding queue sizes equal to $b$. There- fore, distrib--tions $P_{k}'$ and $P_{k}^{*}$ are proportional in the range $0\leq k\leq b-1$, namely,
\begin{center}
$P_{k}'=cP_{k}^{*},\ 0\leq k\leq b-1$,   (42)
\end{center}
for some constant $c.$

On the other hand, we have
\begin{center}
$P_{k}^{*}=\displaystyle \frac{\hat{\pi}_{k}}{(1-d_{k})h},\ 0\leq k\leq b-1$,   (43)
\end{center}
where
\begin{center}
$h=\displaystyle \sum_{i=0}^{b-1}\frac{\hat{\pi}_{i}}{1-d_{i}}$.   (44)
\end{center}
Combining
\begin{center}
$\displaystyle \sum_{k=0}^{b}P_{k}'=1$   (45)
\end{center}\end{document}
